> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get record changelog

Get the change history for a specific record.

` GET /collections/{id}/records/{key}/changelog `

Get record changelog

Get the change history for a specific record.

## Servers

- ` https://hookstream.io/v1 ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key (format: hs_live_<64hex> or hs_test_<64hex>)

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie (browser auth)

## Parameters

### ` id ` (path, required)

Collection ID

- ` value `: type ` string ` — Collection ID

  - minLength: ` 1 `

### ` key ` (path, required)

Record key

- ` value `: type ` string ` — Record key

  - minLength: ` 1 `

### ` limit ` (query, optional)

Max results (default 50, max 100)

- ` value `: type ` string ` — Max results (default 50, max 100)

  - example: ` "50" `

Example:

```json
"50"
```

## Responses

### ` 200 ` — Record changelog

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` changelog `

  - ` changelog `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` id `, ` collection_id `, ` record_id `, ` record_key `, ` change_type `, ` before_data `, ` after_data `, ` event_id `, ` event_type `, ` created_at `

      - ` id `: type ` string `

      - ` collection_id `: type ` string `

      - ` record_id `: type ` string `

      - ` record_key `: type ` string `

      - ` change_type `: type ` string `

      - ` before_data `: type ` string `; nullable

      - ` after_data `: type ` string `

      - ` event_id `: type ` string `

      - ` event_type `: type ` string `; nullable

      - ` created_at `: type ` string `

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

### ` 404 ` — Not found

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

## Request examples

### cURL

```curl
curl -X GET 'https://hookstream.io/v1/collections/string/records/string/changelog' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/collections/string/records/string/changelog', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/collections/string/records/string/changelog', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/collections/string/records/string/changelog", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```